using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
	public class Medikamentenverordnung : BeWoEntityBase
	{
		public static string PropertyName_MedArt = "MedArt";
		public static string PropertyName_Darreichungsform_ALT = "Darreichungsform_ALT";
		public static string PropertyName_Morgens = "Morgens";
		public static string PropertyName_Mittags = "Mittags";
		public static string PropertyName_Abends = "Abends";
		public static string PropertyName_Nachts = "Nachts";
		public static string PropertyName_DepotMenge = "DepotMenge";
		public static string PropertyName_DepotRhythmus = "DepotRhythmus";
		public static string PropertyName_DepotErsterTag = "DepotErsterTag";
		public static string PropertyName_DepotNaechsterTag = "DepotNaechsterTag";
		public static string PropertyName_MedBemerkung = "MedBemerkung";
		public static string PropertyName_MedVerordnet = "MedVerordnet";
		public static string PropertyName_Darreichungsform = "Darreichungsform";
		public static string PropertyName_Verordnungsdatum = "Verordnungsdatum";

		public Medikamentenverordnung()
		{
			_Tid = TableID.Medikamentenverordnung;
		}

		private MedArt _MedArt;
		private Darreichungsform _darreichungsform;
		private double _Morgens;
		private double _Mittags;
		private double _Abends;
		private double _Nachts;
		private int _DepotMenge;
		private DepotRhythmus _DepotRhythmus;
		private DateTime? _DepotErsterTag;
		private DateTime? _DepotNaechsterTag;
		private DateTime? _Verordnungsdatum;
		private string _MedBemerkung;
		private string _MedVerordnet;
		private string _MedName;

		public virtual MedArt MedArt
		{
			get { return _MedArt; }
			set
			{
				if (AreDifferent(_MedArt, value))
					_MedArt = value;
			}
		}

		public virtual Darreichungsform Darreichungsform
		{
			get { return _darreichungsform; }
			set
			{
				if (AreDifferent(_darreichungsform, value))
					_darreichungsform = value;
			}
		}
		public virtual double Morgens
		{
			get { return _Morgens; }
			set
			{
				if (AreDifferent(_Morgens, value))
					_Morgens = value;
			}
		}
		public virtual double Mittags
		{
			get { return _Mittags; }
			set
			{
				if (AreDifferent(_Mittags, value))
					_Mittags = value;
			}
		}
		public virtual double Abends
		{
			get { return _Abends; }
			set
			{
				if (AreDifferent(_Abends, value))
					_Abends = value;
			}
		}
		public virtual double Nachts
		{
			get { return _Nachts; }
			set
			{
				if (AreDifferent(_Nachts, value))
					_Nachts = value;
			}
		}
		public virtual int DepotMenge
		{
			get { return _DepotMenge; }
			set
			{
				if (AreDifferent(_DepotMenge, value))
					_DepotMenge = value;
			}
		}
		public virtual DepotRhythmus DepotRhythmus
		{
			get { return _DepotRhythmus; }
			set
			{
				if (AreDifferent(_DepotRhythmus, value))
					_DepotRhythmus = value;
			}
		}
		public virtual DateTime? DepotErsterTag
		{
			get { return _DepotErsterTag; }
			set
			{
				if (AreDifferent(_DepotErsterTag, value))
					_DepotErsterTag = value;
			}
		}
		public virtual DateTime? DepotNaechsterTag
		{
			get { return _DepotNaechsterTag; }
			set
			{
				if (AreDifferent(_DepotNaechsterTag, value))
					_DepotNaechsterTag = value;
			}
		}
		public virtual DateTime? Verordnungsdatum
		{
			get { return _Verordnungsdatum; }
			set
			{
				if (AreDifferent(_Verordnungsdatum, value))
					_Verordnungsdatum = value;
			}
		}
		public virtual string MedBemerkung
		{
			get { return _MedBemerkung; }
			set
			{
				if (AreDifferent(_MedBemerkung, value))
					_MedBemerkung = value;
			}
		}
		public virtual string MedVerordnet
		{
			get { return _MedVerordnet; }
			set
			{
				if (AreDifferent(_MedVerordnet, value))
					_MedVerordnet = value;
			}
		}
		public virtual string MedName
		{
			get { return _MedName; }
			set
			{
				if (AreDifferent(_MedName, value))
					_MedName = value;
			}
		}
	}
}
